org.jbpm.process.builder.dialect.feel

## Class FeelProcessDialect

- java.lang.Object
- - org.jbpm.process.builder.dialect.feel.FeelProcessDialect

- All Implemented Interfaces:
    ProcessDialect

      public class FeelProcessDialect
      extends Object
      implements ProcessDialect

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeelProcessDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcess(ProcessBuildContext context)`
    `ActionBuilder` | `getActionBuilder()`
    `AssignmentBuilder` | `getAssignmentBuilder()`
    `ProcessClassBuilder` | `getProcessClassBuilder()`
    `ReturnValueEvaluatorBuilder` | `getReturnValueEvaluatorBuilder()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeelProcessDialect

          public FeelProcessDialect()

  - ### Method Detail

    - #### addProcess

          public void addProcess(ProcessBuildContext context)

      Specified by:
        `addProcess` in interface `ProcessDialect`

    - #### getActionBuilder

          public ActionBuilder getActionBuilder()

      Specified by:
        `getActionBuilder` in interface `ProcessDialect`

    - #### getProcessClassBuilder

          public ProcessClassBuilder getProcessClassBuilder()

      Specified by:
        `getProcessClassBuilder` in interface `ProcessDialect`

    - #### getReturnValueEvaluatorBuilder

          public ReturnValueEvaluatorBuilder getReturnValueEvaluatorBuilder()

      Specified by:
        `getReturnValueEvaluatorBuilder` in interface `ProcessDialect`

    - #### getAssignmentBuilder

          public AssignmentBuilder getAssignmentBuilder()

      Specified by:
        `getAssignmentBuilder` in interface `ProcessDialect`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.